#ifndef SPISlave_H
#define SPISlave_H

#define DDR_SPI DDRB
#define DD_MOSI PB3
#define DD_MISO PB4
#define DD_SCK PB5
#define DD_SS PB2


#ifdef __cplusplus
extern "C" {
#endif

void SPI_SlaveInit(void);
char CRC8(char *data, int length);
char checkArray(char *arr, int size);

char crc8(char *data, int len);

#ifdef __cplusplus
}
#endif

#endif